POST
/user/generate-client-config
const url = 'https://example.com/user/generate-client-config';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"config_type":"tenzir","tenant_id":"example","node_name":"example","node_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/generate-client-config \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "config_type": "tenzir", "tenant_id": "example", "node_name": "example", "node_id": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
GenerateClientConfigResponse
object
filename
required
Filename
string
contents
required
Contents
string
node_id
required
Node Id
string
Example generated
{ "filename": "example", "contents": "example", "node_id": "example"}{"detail": "Invalid API Key"}
{"detail": "Not permitted to access this tenant"}
{"detail": "Tenant not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}